<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex flex-col items-center justify-center text-white w-full h-full gap-20">
  <div class="w-full flex items-center justify-center gap-6">
    <app-action-button
      title="Read"
      icon="pi pi-download"
      class="text-skyBlue"
      [selectable]="true"
      [selected]="read"
      (onClick)="read = !read"
    >
      <ng-template #description>Request permission to read data from the item's properties</ng-template>
    </app-action-button>
    <app-action-button
      title="Write"
      icon="pi pi-upload"
      class="text-grassGreen"
      [selectable]="true"
      [selected]="write"
      (onClick)="write = !write"
    >
      <ng-template #description>Request permission to write data to the item's properties</ng-template>
    </app-action-button>
    <app-action-button
      title="Subscribe"
      icon="pi pi-sync"
      class="text-darkOrange"
      [selectable]="true"
      [selected]="subscribe"
      (onClick)="subscribe = !subscribe"
    >
      <ng-template #description>Request permission to subscribe to item's events</ng-template>
    </app-action-button>
  </div>
  <p-button
    label="Continue"
    [disabled]="disabled"
    [style]="{ width: '200px', paddingLeft: '2.6rem' }"
    icon="pi pi-chevron-right"
    iconPos="right"
    (onClick)="continue()"
  ></p-button>
</div>
